> For the complete documentation index, see [llms.txt](https://help.security.gallagher.com/knowledge-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.security.gallagher.com/knowledge-hub/configuration-client/licensable-features/rest-api.md).

# REST API

### Introduction

The Gallagher Command Centre REST API defines a set of HTTP functions that allow developers to:

* create and monitor events
* manage Cardholders
* view the status of Command Centre items
* override Command Centre items.

***

### Why use a REST API?

* A REST API uses HTTP to obtain data from different systems. It is independent of the language used by each system, hence it promotes longevity and evolution of both systems.
* A REST API provides superior integration performance. Sites can quickly and cost-effectively integrate third-party systems with Command Centre.

***

### REST API features

The Command Centre REST API has the following features:

<table><thead><tr><th width="229">REST API feature</th><th>requires the following licence string...</th></tr></thead><tbody><tr><td>Events and Alarms</td><td><code>RESTEvents=1</code></td></tr><tr><td>Cardholders</td><td><code>RESTCardholders=1</code></td></tr><tr><td>Status</td><td><code>RESTStatus=1</code></td></tr><tr><td>Overrides</td><td><code>RESTOverride=1</code></td></tr><tr><td>Inbound Events</td><td><code>RESTCreateEvents=1</code></td></tr></tbody></table>

For further detail refer to:

<https://products.security.gallagher.com/security/nz/en_NZ/products/software/interfaces/c/system_interfaces>

***

### REST API Security Features

Gallagher REST APIs provide the following security features:

* Privacy assured by HTTPS.
* Server authentication optionally assured with your site’s own certificate.
* Client authentication assured with an API key, an optional client certificate, and optional IP filtering.
* Integration’s visibility of data is restricted by Division and Operator Privileges.
* REST API call logging which provides the IP address of the computer that made the call, and the Certificate Common Name (CN) that made the call.

The following diagram illustrates REST API client/server authentication:

![](https://3000903572-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfCvaxj3suxNBzdwQndVT%2Fuploads%2Fgit-blob-43f4a6f58a5a491d594712907ce31dff16996eda%2Frestapiarchitecture.png?alt=media)

***

### Configuration

Before using any Command Centre REST API feature, you need to perform the following procedures on the Configuration Client:

![](https://3000903572-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfCvaxj3suxNBzdwQndVT%2Fuploads%2Fgit-blob-f30c70c9dfd07493527af00bd979539606de5d30%2Ftopiclink.png?alt=media) [Web Services](https://help.security.gallagher.com/knowledge-hub/configuration-client/site-installation/server-properties/web-services.md)

![](https://3000903572-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfCvaxj3suxNBzdwQndVT%2Fuploads%2Fgit-blob-f30c70c9dfd07493527af00bd979539606de5d30%2Ftopiclink.png?alt=media) [Creating a REST API Client Item](https://help.security.gallagher.com/knowledge-hub/configuration-client/site-installation/services-and-workstations/creating-a-rest-api-client-item.md)

### Developer documentation

For detailed information on how to use the Gallagher Command Centre REST API, refer to the developer documentation and sample code stored at: <https://gallaghersecurity.github.io/>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.security.gallagher.com/knowledge-hub/configuration-client/licensable-features/rest-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
